#ifndef UTILISATEUR_H
#define UTILISATEUR_H
#include <QtGui>
#include <QtCore>
#include <QtSql>
#include "ui_utilisateurdialog.h"

class utilisateur : public QWidget,public Ui::UtilisateursDialog
{
    Q_OBJECT
    enum Comptes_bancaires_fields{
      ID_COMPTE = 0,
      ID_USR ,
      LIBELLE ,
      NOM_BANQUE ,
      RIB_CODE_BANQUE,
      RIB_CODE_GUICHET ,
      RIB_NUMCOMPTE,
      RIB_CLE ,
      SOLDE_INITIAL ,
      MaxParam_CB
      };
    enum ribs{
       CODE_BANQUE = 0,
       CODE_GUICHET,
       NUMCOMPTE,
       CLE,
       SOLDE,
       MaxParamRIB
      };
public:
    utilisateur(QString /*loginUser*/);
    ~utilisateur();
    //QSqlDatabase m_db1;
    QSqlDatabase m_accountancyDb;
    QStringList queryBank(int /*idUsr*/);
protected slots:
    void enregistrer();
    void remplirLogin(int);
    void fillEdits(const QString &);
    void modifier();
    void choisir();
private :
    bool fillHashOfBankDatas();
    QString cleanMysqlDatas(QString & data);
    QStringList m_listUtil ;
    QHash<QString,QString>  m_listLogin ;
    QHash<QString,QString> m_listPassword;
    QHash<QString,QString> m_hashId_compte;
    QHash<QString,QString> m_hashIdUsr;
    QHash<QString,QString> m_hashLibelle;
    QHash<QString,QString> m_hashBankName;
    QHash<QString,QString> m_hashRib_code_banque;
    QHash<QString,QString> m_hashRib_code_guichet;
    QHash<QString,QString> m_hashRib_numcompte;
    QHash<QString,QString> m_hashRib_cle ;
    QHash<QString,QString> m_hashSolde_initial;
};

#endif
